# $Revision: 1.26 $, $Date: 2010/07/09 11:20:48 $
Summary:	Lockdown editor for GNOME
Summary(pl.UTF-8):	Edytor blokad dla GNOME
Name:		pessulus
Version:	2.30.2
Release:	3
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/pessulus/2.30/%{name}-%{version}.tar.bz2
# Source0-md5:	fbcfb402e12af2006918fc4ee4c78285
URL:		http://live.gnome.org/Pessulus
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel
BuildRequires:	intltool >= 0.40.0
BuildRequires:	pkgconfig
BuildRequires:	python-gnome-desktop-devel >= 2.24.0
BuildRequires:	python-gnome-devel >= 2.22.0
BuildRequires:	python-pygtk-devel >= 2:2.12.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	gtk+2
Requires:	python-gnome-desktop >= 2.24.0
Requires:	python-gnome-gconf >= 2.22.0
%pyrequires_eq	python-modules
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pessulus is a lockdown editor for GNOME, written in Python. Pessulus
enables administrators to set mandatory settings in GConf. The users
can not change these settings. Use of pessulus can be useful on
computers that are open to use by everyone, e.g. in an internet cafe.

%description -l pl.UTF-8
Pessulus jest napisanym w pythonie edytorem blokad dla GNOME.
Umożliwia administratorowi wprowadzenie obowiązkowych ustawień w
GConfie, które nie będą mogły być zmienione przez użytkownika. Użycie
pessulusa może być przydatne na ogólnodostępnych komputerach, np. w
kawiarenkach internetowych.

%prep
%setup -q

%build
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# not supported
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/{bal,en@shaw}

%py_postclean

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/pessulus
%dir %{py_sitescriptdir}/Pessulus
%{py_sitescriptdir}/Pessulus/*.py[co]
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/pessulus
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pessulus.spec,v $
Revision 1.26  2010/07/09 11:20:48  arekm
- release 3

Revision 1.25  2010/07/08 07:57:02  arekm
- release 2

Revision 1.24  2010/06/23 17:50:47  megabajt
- updated to 2.30.2

Revision 1.23  2010/05/07 14:27:09  megabajt
- updated to 2.30.0

Revision 1.22  2009/11/28 01:43:15  sparky
- BR: rpm-pythonprov

Revision 1.21  2009/07/02 10:12:27  megabajt
- updated to 2.26.2

Revision 1.20  2009/04/15 10:07:21  megabajt
- updated to 2.26.1

Revision 1.19  2009/03/18 22:00:28  patrys
- 2.26.0

Revision 1.18  2009/03/14 00:03:59  hawk
- release 2

Revision 1.17  2008/10/05 19:08:01  megabajt
- updated to 2.24.0

Revision 1.16  2008/10/03 17:45:30  arekm
- release 2

Revision 1.15  2008-03-12 21:59:17  megabajt
- updated to 2.16.4

Revision 1.14  2007-11-10 22:32:07  megabajt
- sr@Latn -> sr@latin; release 2

Revision 1.13  2007/10/05 19:22:34  megabajt
- updated to 2.16.3
- removed obsolete desktop patch

Revision 1.12  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.10  2006/12/21 19:19:43  megabajt
- updated to 2.16.2

Revision 1.9  2006/10/03 20:35:50  grzegol
- 2.16.1

Revision 1.8  2006/09/06 19:28:19  grzegol
- 2.16.0

Revision 1.7  2006/08/10 21:42:39  freetz
- 2.15.91

Revision 1.6  2006/07/26 18:33:32  freetz
- 2.15.90

Revision 1.5  2006/07/14 19:45:30  freetz
- 0.10.4, updated deps

Revision 1.4  2006/06/26 19:48:17  qboosh
- formatting

Revision 1.3  2006/06/22 17:01:57  freetz
- utf-8 -> latin2

Revision 1.2  2006/06/21 20:54:09  aflinta
 - added pl

Revision 1.1  2006/06/12 21:25:18  freetz
- initial
